Subject: bug#7077: 24.0.50; mouse-drag-copy-region - name should say copy as kill

From: "Drew Adams" <[email-masked]>
Date: Sun, 3 Jul 2011 07:23:29 -0700

> That's true, but I'm not sure that this consistency is worth renaming
> user-visible customisation variables just to be that consistent.
> 
> I was confused -- I thought `mouse-drag-copy-region' was a 
> function, but it's a variable, which makes renaming even more
> of a problem, in my opinion.

Option names are important, including for finding the options in the first
place.  We have a mechanism for renaming: create an alias and declare the old
name deprecated/obsolete.  Nothing new here.

The old name will anyway live on for a while (past experience shows that it will
be quite a while).  But even just the existence of the alias (a better name)
will mean that users will more easily find and recognize this option for what it
is.  That's regardless of the deprecation; the alias is the improvement.